## org.apache.sling.jmx.provider.impl
Class AttributesResource

    java.lang.Object
      org.apache.sling.api.adapter.SlingAdaptable
          org.apache.sling.api.resource.AbstractResource
              org.apache.sling.jmx.provider.impl.AttributesResource

All Implemented Interfaces:
  org.apache.sling.api.adapter.Adaptable, org.apache.sling.api.resource.Resource

    public class AttributesResource

extends org.apache.sling.api.resource.AbstractResource

Field Summary

Fields inherited from interface org.apache.sling.api.resource.Resource
`RESOURCE_TYPE_NON_EXISTING`

Constructor Summary
`AttributesResource(org.apache.sling.api.resource.ResourceResolver resolver, String p, MBeanResource parent)`

Method Summary

`

`<AdapterType> AdapterType`

`

`adaptTo(Class<AdapterType> type)`

`org.apache.sling.api.resource.Resource` `getParent()`
`String` `getPath()`
`org.apache.sling.api.resource.ResourceMetadata` `getResourceMetadata()`
`org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()`
`String` `getResourceSuperType()`
`String` `getResourceType()`

Methods inherited from class org.apache.sling.api.resource.AbstractResource
`getChild, getChildren, getName, getValueMap, hasChildren, isResourceType, listChildren`

Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable
`setAdapterManager, unsetAdapterManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributesResource

    public AttributesResource(org.apache.sling.api.resource.ResourceResolver resolver,
                              String p,
                              MBeanResource parent)

Method Detail

### getParent

    public org.apache.sling.api.resource.Resource getParent()

  Specified by:
    `getParent` in interface `org.apache.sling.api.resource.Resource`
  Overrides:
    `getParent` in class `org.apache.sling.api.resource.AbstractResource`

### getPath

    public String getPath()

  See Also:
    `Resource.getPath()`

### getResourceType

    public String getResourceType()

  See Also:
    `Resource.getResourceType()`

### getResourceSuperType

    public String getResourceSuperType()

  See Also:
    `Resource.getResourceSuperType()`

### getResourceMetadata

    public org.apache.sling.api.resource.ResourceMetadata getResourceMetadata()

  See Also:
    `Resource.getResourceMetadata()`

### getResourceResolver

    public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

  See Also:
    `Resource.getResourceResolver()`

### adaptTo

    public <AdapterType> AdapterType adaptTo(Class<AdapterType> type)

  Specified by:
    `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`
  Overrides:
    `adaptTo` in class `org.apache.sling.api.adapter.SlingAdaptable`

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.